Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DeleteChatHistory

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.DeleteChatHistory

Enclosing class:
  TdApi

public static final class TdApi.DeleteChatHistory extends TdApi.Function<TdApi.Ok>
Deletes all messages in the chat. Use chat.canBeDeletedOnlyForSelf and chat.canBeDeletedForAllUsers fields to find whether and how the method can be applied to the chat.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`boolean`
`removeFromChatList`
Pass true if the chat needs to be removed from the chat list.
`boolean`
`revoke`
Pass true to try to delete chat history for all users.

## Constructor Summary

Constructors
Constructor
Description
`DeleteChatHistory()`
Deletes all messages in the chat.
`DeleteChatHistory(long chatId, boolean removeFromChatList, boolean revoke)`
Deletes all messages in the chat.
`DeleteChatHistory(DataInput input)`
Deletes all messages in the chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### removeFromChatList

public boolean removeFromChatList
Pass true if the chat needs to be removed from the chat list.

### revoke

public boolean revoke
Pass true to try to delete chat history for all users.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### DeleteChatHistory

public DeleteChatHistory()
Deletes all messages in the chat. Use chat.canBeDeletedOnlyForSelf and chat.canBeDeletedForAllUsers fields to find whether and how the method can be applied to the chat.

Returns `Ok`

### DeleteChatHistory

public DeleteChatHistory(long chatId, boolean removeFromChatList, boolean revoke)
Deletes all messages in the chat. Use chat.canBeDeletedOnlyForSelf and chat.canBeDeletedForAllUsers fields to find whether and how the method can be applied to the chat.

Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `removeFromChatList` - boolean Pass true if the chat needs to be removed from the chat list.
  `revoke` - boolean Pass true to try to delete chat history for all users.

### DeleteChatHistory

public DeleteChatHistory(DataInput input) throws IOException
Deletes all messages in the chat. Use chat.canBeDeletedOnlyForSelf and chat.canBeDeletedForAllUsers fields to find whether and how the method can be applied to the chat.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`